1

I was trying to scan the SSH version for Windows XP using "Scanner SSH Auxiliary Module" in the metasploit framework. However, there was no error while scanning but it couldn't identify the version as shown here.

Same happens with ftp_version scanner, but it works fine for smb_version scan.

Initially, I thought it was due to Windows update (which may have installed accidently) but I installed it again and the result was same (also tried different setup of Windows XP). The virtual lab setup is done using VirtualBox and I have made sure that Windows firewall and update both are off.

Is it possible that it is not able to scan due to patch file which maybe pre-installed for these scanners (as SMB was working)? If it is pre-installed patch is there any way to remove it or any link where I can purchase default Windows XP SP2 (where these scanners work)?
What is the reason behind it?

The scanner works fine with Metasploitable2.
Any help would be appreciated.

3
  • I'm not sure what the problem is. What isn't working?
    – schroeder
    Commented Nov 20, 2016 at 20:31
  • The scanner seems to complete the scan(as shown in the linked image above) but it does not show ssh version or ftp version for Windows XP sp2 but the same works fine with metasploitable2.I am almost stuck with thing for 3 weeks and still not working. I also updated metasploit and also tried new version of kali but still not working.
    – Imnoob
    Commented Nov 21, 2016 at 5:24
  • Then the next very obvious question is: Is ssh or ftp running as a service?
    – schroeder
    Commented Nov 21, 2016 at 7:43

1 Answer 1

3

TL; DR

Windows does not come with SSH by default so unless you (or someone else) installed it, you won't get results.


If you have installed an SSH daemon on the box (for some reason), try to identify the version with nmap instead. The banner grabbing in nmap is likely more accurate anyway.

nmap -sV -p 22 <<host-ip>>

Assuming the SSH daemon is listening on 22. Adjust the port number if needed.

Is it possible that it is not able to scan due to patch file which maybe pre-installed for these scanners (as SMB was working)?

There is no way to patch against a port scan. And blocking access to the port would prohibit normal operation so that's not an option either. If there is no firewall between the Kali host and the XP box, then Application or OS level IP whitelisting would be the defense.

If it is pre-installed patch is there any way to remove it or any link where I can purchase default Windows XP SP2 (where these scanners work)?

Again, this probably isn't the issue. It's most likely because there is no SSH daemon installed on the host.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .